%global srcname html5-parser
%global sum A fast, standards compliant, C based, HTML 5 parser for python

Name:           python-%{srcname}
Version:        0.4.4
Release:        1%{?dist}
Summary:        %{sum}

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/h/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  python2-devel python3-devel
BuildRequires:  libxml2-devel
BuildRequires:  pkgconf
# For tests
BuildRequires:  python2-lxml >= 3.8.0
BuildRequires:  python3-lxml >= 3.8.0

%description
A fast, standards compliant, C based, HTML 5 parser for python

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
A fast, standards compliant, C based, HTML 5 parser for python


%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
A fast, standards compliant, C based, HTML 5 parser for python

%prep
%autosetup -n %{srcname}-%{version}

# remove shebangs from library files
sed -i -e '/^#!\//, 1d' src/html5_parser/*.py

%build
%py2_build
%py3_build

%install
# Must do the python2 install first because the scripts in /usr/bin are
# overwritten with every setup.py install, and in general we want the
# python3 version to be the default.
# If, however, we're installing separate executables for python2 and python3,
# the order needs to be reversed so the unversioned executable is the python2 one.
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

# Note that there is no %%files section for the unversioned python module if we are building for several python runtimes
%files -n python2-%{srcname}
%license LICENSE
%doc README.rst
%{python2_sitearch}/*

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitearch}/*

%changelog
* Sat Aug 12 2017 Kevin Fenzi <kevin@scrye.com> - 0.4.4-1
- Initial version for Fedora


